/// <reference types="node" />
/**
 * Takes two input objects and attempts to merge them together.  This function
 * should be used for package.json files.  This function will take special care
 * to merge dependencies (and their versions), scripts, and keyword sections
 * of the package.json file.
 * @param dst {string|Buffer|object} the target object for the merge
 * @param src {string|Buffer|object} the source object for the merge
 * @returns {string} a merged object string in JSON format.
 */
export default function merge(dst: string | Buffer | object, src: string | Buffer | object): any;
